#ifndef	_cam_h
#define	_cam_h

#include "hier.h"

#define	TWOPI		4096

void cam_init(double x,double y,double z);	/* Initial position */

void cam_rotate(int d_ax,int d_ay,int d_az);	/* Parameters are differences of angles */
void cam_move(double speed);	/* COPY3(tf,forward); SCALE3(tf,speed); ADD3(position,tf); */

void cam_getview(dvec3 *pos,dvec3 *forward,dvec3*up);

#endif	/* _cam_h */

