#ifndef	_grcomm_h
#define	_grcomm_h

#include <limits.h>

#if	(CHAR_BIT<8)
#error	"Byte should be at least 8 bits! (just in case;)"
#endif

#if	!defined(COLORS_RGBA) && !defined(COLORS_BGRA)
#define	COLORS_BGRA
#endif

#if	(defined(COLORS_RGBA)+defined(COLORS_BGRA))!=1
#error	"(Only) one of COLORS_xxx should be defined!"
#endif

#ifdef	COLORS_RGBA
typedef	struct	_pix	{
   unsigned char r,g,b,a;
} pix;
#endif
#ifdef	COLORS_BGRA
typedef	struct	_pix	{
   unsigned char b,g,r,a;
} pix;
#endif

#define	COLOR_BITS	8
#define	COLOR_MAX	((1<<COLOR_BITS))
#define	COLOR_LIM	(COLOR_MAX-1)

#endif	/* _grcomm_h */
