#ifndef	_vectypes_h
#define	_vectypes_h

#ifdef	__GCC__
typedef	long long int longint;
#else
typedef	long longint;
#endif

#define	X_DIM	0
#define	Y_DIM	1
#define	Z_DIM	2
#define	N_DIMS	3
/* We should note that +coord maps into C_DIM*2, and -coord into C_DIM*2+1 */
#define	N_SIDES	(N_DIMS+N_DIMS)
#define	NEG_SIDE	1
typedef	longint livec3[N_DIMS];

typedef int ivec3[N_DIMS];

typedef	float fvec3[N_DIMS];
typedef	double dvec3[N_DIMS];
typedef	long double ldvec3[N_DIMS];

typedef double dmatr3[N_DIMS][N_DIMS];

#define	X_SUB	(1 << X_DIM)
#define	Y_SUB	(1 << Y_DIM)
#define	Z_SUB	(1 << Z_DIM)
#define	N_SUBS	(1<<N_DIMS)

#endif	/* _vectypes_h */
